Bug 919040 - Bug link mark-up is too greedy.
Bug link mark-up is too greedy.
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-07 08:24 EST by Lukas Zachar
Modified: 2014-10-12 18:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.4.0007
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 00:15:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nouseatall (4 bytes, text/plain)
2013-09-21 23:36 EDT, IBM Bug Proxy
no flags Details
nouse (41 bytes, text/plain)
2013-09-21 23:37 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 105865 None None None Never
Mozilla Foundation 864631 None None None Never

  None (edit)
Description Lukas Zachar 2013-03-07 08:24:53 EST
Description of problem:
When word bug is detected the search for following id is too greedy and can spread across new line.

Version-Release number of selected component (if applicable):
version 4.2.5-7.1

How reproducible:
always

Steps to Reproduce:
1. Type 'bug' and have number at the beginning of the new line, e.g. bug
2. see how is the link spread across the lines
3.
  
Actual results:
bug 2 detected

Expected results:
bug was just a word, link needed

Additional info:
Comment 1 Simon Green 2013-04-15 02:20:41 EDT
Will submit this upstream. If they don't accept it, we won't carry it locally. If they do accept it, I will backport it.

  -- simon
Comment 3 Simon Green 2013-08-15 20:19:14 EDT
(In reply to Simon Green from comment #1)
> Will submit this upstream. If they don't accept it, we won't carry it
> locally. If they do accept it, I will backport it.

As promised, this will be (partially) back ported to Red Hat Bugzilla 4.4
Comment 4 Simon Green 2013-09-06 00:15:02 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon
Comment 5 IBM Bug Proxy 2013-09-21 23:36:13 EDT
Created attachment 801070 [details]
nouseatall
Comment 6 IBM Bug Proxy 2013-09-21 23:37:21 EDT
Created attachment 801071 [details]
nouse

Note You need to log in before you can comment on or make changes to this bug.